## cascading.operation.state
Class Status

    java.lang.Object
      cascading.operation.BaseOperation<Boolean>
          cascading.operation.state.Status

All Implemented Interfaces:
  DeclaresResults, Filter<Boolean>, Operation<Boolean>, Traceable, Serializable

    public class Status

extends BaseOperation<Boolean>
implements Filter<Boolean>

Class Status is a `Filter` that sets the current `FlowProcess` 'status' on the first `Tuple` it sees.

Internally, the `isRemove(cascading.flow.FlowProcess, cascading.operation.FilterCall)` method calls `FlowProcess.setStatus(String)`.

No `Tuple` instances are ever discarded.

See Also:
  `FlowProcess`, `Filter`, Serialized Form

Field Summary

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`Status(String status)` Constructor Status creates a new Status instance.

Method Summary
`boolean` `equals(Object object)`
`String` `getStatus()`
`int` `hashCode()`
`boolean` `isRemove(FlowProcess flowProcess, FilterCall<Boolean> filterCall)` Method isRemove returns true if input should be removed from the tuple stream.
`void` `prepare(FlowProcess flowProcess, OperationCall<Boolean> operationCall)` Method prepare does nothing, and may safely be overridden.

Methods inherited from class cascading.operation.BaseOperation
`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe`

Constructor Detail

### Status

    @ConstructorProperties(value="status")
    public Status(String status)

  Constructor Status creates a new Status instance.

  Parameters:
    `status` - of type String

Method Detail

### getStatus

    public String getStatus()

### prepare

    public void prepare(FlowProcess flowProcess,
                        OperationCall<Boolean> operationCall)

  Description copied from class: `BaseOperation`
  Method prepare does nothing, and may safely be overridden.

  Specified by:
    `prepare` in interface `Operation<Boolean>`
  Overrides:
    `prepare` in class `BaseOperation<Boolean>`

### isRemove

    public boolean isRemove(FlowProcess flowProcess,
                            FilterCall<Boolean> filterCall)

  Description copied from interface: `Filter`
  Method isRemove returns true if input should be removed from the tuple stream.

  Specified by:
    `isRemove` in interface `Filter<Boolean>`
  Parameters:
    `flowProcess` - of type FlowProcess
    `filterCall` - of type FilterCall
  Returns:
    boolean

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `BaseOperation<Boolean>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BaseOperation<Boolean>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.